import * as scene from '../../core/scene.js';
import { mountTable } from './scenes/table.js';
import { mountBotSelect } from './scenes/bot-select.js';
import { mountTimeSelect } from './scenes/time-select.js';
import { mountQueue, unmountQueue } from './scenes/queue.js';
import { mountLobby } from './scenes/lobby.js';
import { mountChallenge } from './scenes/challenge.js';

scene.register('play-table', mountTable);
scene.register('play-bot-select', mountBotSelect);
scene.register('play-time-select', mountTimeSelect);
scene.register('play-queue', mountQueue, unmountQueue);
scene.register('game-lobby', mountLobby);
scene.register('challenge-friend', mountChallenge);
